> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Leave Round

> Leave round



## OpenAPI

````yaml delete /rounds/{round_id}/leave
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /rounds/{round_id}/leave:
    delete:
      tags:
        - rounds
      summary: Leave Round
      description: Leave round
      operationId: leave_round_rounds__round_id__leave_delete
      parameters:
        - name: round_id
          in: path
          required: true
          schema:
            type: string
            title: Round Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoundLeaveResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - HTTPBearer: []
components:
  schemas:
    RoundLeaveResponse:
      properties:
        id:
          type: string
          title: Id
        uniq_id:
          type: string
          title: Uniq Id
        status:
          type: string
          title: Status
        entry_fee:
          type: string
          title: Entry Fee
        is_active:
          type: boolean
          title: Is Active
        owner_id:
          type: string
          title: Owner Id
        members_count:
          type: integer
          title: Members Count
        max_members_count:
          type: integer
          title: Max Members Count
        participant_statuses:
          anyOf:
            - items:
                $ref: '#/components/schemas/RoundParticipantResponse'
              type: array
            - type: 'null'
          title: Participant Statuses
      type: object
      required:
        - id
        - uniq_id
        - status
        - entry_fee
        - is_active
        - owner_id
        - members_count
        - max_members_count
      title: RoundLeaveResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RoundParticipantResponse:
      properties:
        status:
          type: string
          title: Status
        user:
          $ref: '#/components/schemas/UserParticipantRoundResponse'
      type: object
      required:
        - status
        - user
      title: RoundParticipantResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserParticipantRoundResponse:
      properties:
        id:
          type: string
          title: Id
        phone:
          type: string
          title: Phone
        username:
          type: string
          title: Username
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - phone
        - username
        - first_name
        - last_name
        - avatar_url
      title: UserParticipantRoundResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````